FairProgOptions Class Referenceabstract
Inheritance diagram for FairProgOptions:
[legend]

## Public Member Functions

auto | GetPropertyKeys () const -> std::vector< std::string >
int | AddToCmdLineOptions (const po::options_description optDesc, bool visible=true)
| Add option descriptions.
po::options_description & | GetCmdLineOptions ()
template<typename T >
T | GetValue (const std::string &key) const
std::string | GetStringValue (const std::string &key)
int | Count (const std::string &key) const
template<typename T >
T | ConvertTo (const std::string &strValue)
const po::variables_map & | GetVarMap () const
int | ParseCmdLine (const int argc, char const *const *argv, bool allowUnregistered=false)
void | ParseDefaults ()
virtual int | ParseAll (const int argc, char const *const *argv, bool allowUnregistered=false)=0
virtual int | PrintOptions ()
virtual int | PrintOptionsRaw ()

## Protected Member Functions

virtual int | ImmediateOptions ()=0
template<typename T >
void | UpdateVarMap (const std::string &key, const T &val)
template<typename T >
void | Replace (std::map< std::string, po::variable_value > &vm, const std::string &key, const T &val)

## Protected Attributes

po::variables_map | fVarMap
po::options_description | fGeneralOptions
po::options_description | fAllOptions
std::mutex | fConfigMutex

The documentation for this class was generated from the following files:

- fairmq/options/FairProgOptions.h
- fairmq/options/FairProgOptions.cxx